Get an import job
get
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/importJob/{id}
Returns the import job that matches the specified ID, including its current status and details.
Request
Path Parameters
-
id(required): string
The ID of the resource item.
Query Parameters
-
fields: string
The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The import job was returned successfully.
Root Schema : ImportJobOracle
Title:
ImportJobOracleMatch All
Show Source
-
object
ImportJob
Title:
ImportJobDiscriminator:{ "propertyName":"@type", "mapping":{ "ImportJob":"#/components/schemas/ImportJob", "ImportJobOracle":"#/components/schemas/ImportJobOracle" } }The import job resource. -
object
ImportJobOracle-allOf[1]
Nested Schema : ImportJob
Type:
objectTitle:
ImportJobDiscriminator: @type
Discriminator Values
The import job resource.
Show Source
-
@baseType: string
Indicates the base class type of this REST resource.
-
@schemaLocation: string
The URI of the schema that defines the import job.
-
@type(required): string
The class type of the import job.
-
completionDate: string
(date-time)
The date and time when the import job completed.
-
contentType: string
The content type of the import job request.
-
creationDate: string
(date-time)
The date and time when the import job was created.
-
errorLog: string
The error log for the import job request.
-
href: string
The hyperlink reference to the import job.
-
id: integer
(int64)
The ID of the import job.
-
path: string
The path of the import job request file.
-
status: string
Allowed Values:
[ "NOT_STARTED", "RUNNING", "SUCCEEDED", "FAILED", "COMPLETED", "ERROR", "BLOCKED", "READY", "CANCELLED", "CANCELLING" ]The status of the import job. -
url: string
The URL of the import job request.
Nested Schema : ImportJobOracle-allOf[1]
Type:
Show Source
object-
createdBy: string
The name of the user who submitted the import job.
-
errorLogUrl: string
The URL of the error log.
-
fileName: string
The name of the file used by the import job.
-
importSummary: object
importSummary
The summary of the import job.
Nested Schema : importSummary
Type:
objectThe summary of the import job.
Show Source
-
id: integer
(int64)
The ID of the import job.
-
resources: array
resources
A list of resources included in the import summary.
-
totalImportObjects: integer
The total number of imported objects.
Nested Schema : resources
Type:
arrayA list of resources included in the import summary.
Show Source
-
Array of:
object ImportSummaryResource
Title:
ImportSummaryResourceThe object that contains imported resource details, such as name and count.
Nested Schema : ImportSummaryResource
Type:
objectTitle:
ImportSummaryResourceThe object that contains imported resource details, such as name and count.
Show Source
-
count: integer
Indicates the number of resource imported.
-
name: string
The name of the import summary resource.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
501 Response
The server doesn't support the functionality required to fulfill the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to get the status of an import job by submitting a GET request on the REST resource using cURL.
curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/importJob/47353
Example of Response Body
The following example shows the contents of the response body in JSON format>:
{
"id": 47353,
"contentType": "application/json",
"status": "Complete",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/importJob/47353",
"path": "tmf-api/productCatalogManagement/v4/importJob/Specifications_72.json",
"creationDate": "2020-08-20 18:28:09.974",
"@type": "ImportJob"
}